/*
   Copyright (C) 2002 Dylan Yudaken(d_yud@hotmail.com)

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   See gpl.txt for more information regarding the GNU General Public License.
*/

#ifndef DEF_LOG_H
#define DEF_LOG_H

#define LOGFILE "log.txt"
enum LogType{
	LOG_NEW, 
	LOG_NEW_DATE,
	LOG_APPEND, 
	LOG_APPEND_DATE 
};

class CLog{
public:
	FILE *logfile;
	Clog(char *filename,LogType type);
	char *filename;
	void InitLog();
	int type;
};
void Plog(CLog *Log,const char *fmt, ...);	// Where The Printing Happens
void Pflog(CLog *Log,const char *fmt, ...);	// Where The Printing Happens
void Plog(const char *fmt, ...);	// Where The Printing Happens Overloaded
void Pflog(const char *fmt, ...);	// Where The Printing Happens
extern CLog Log;

#endif
